Versionssprung auf 4.x?

  • #1, by GreenLightDevelopmentMonday, 24. March 2014, 22:09 7 years ago
    Ich hab' nun einige Posting entdeckt, die auf eine neue Grundversion anspielen (sprich der wechsel von 3.x auf 4.x). Wie aktuell ist diese Idee (ich will nun keinen Releasedate oder so, hehe)? Aber ist das noch in diesem Quartal? Oder sieht die Tendenz doch eher in Richtung "Ende 2014" aus?

    Forum Fan

    134 Posts


  • #2, by BigStansMonday, 24. March 2014, 22:50 7 years ago
    Das schon alles richtig und aktuell. Wir halten Q1 nach wie vor fest smile

    Great Poster

    361 Posts

  • #3, by GreenLightDevelopmentMonday, 24. March 2014, 22:58 7 years ago
    Danke für das schnelle Info-Update :-)

    Forum Fan

    134 Posts

  • #4, by ScubidubiMonday, 24. March 2014, 23:52 7 years ago
    Sind projekte aus der 3.x version kompatibel mit 4.x? Oder gibt es dort einschränkungen?

    Forum Fan

    106 Posts

  • #5, by SimonSMonday, 24. March 2014, 23:56 7 years ago
    99,9%, nur wenn du Texte stark gescriptet hast, muss es angepasst werden.

    Thread Captain

    1383 Posts

  • #6, by ScubidubiTuesday, 25. March 2014, 00:02 7 years ago
    Ich habe alle texte mit den aktionen im editor also keine codes, lua und so. Alles ueber display text. In wiefern zaehlt das?

    Forum Fan

    106 Posts

  • #7, by SimonSTuesday, 25. March 2014, 00:14 7 years ago
    Die Struktur der Text-Objekte ändert sich, TextLanguage-Objekte werden jetzt nicht mehr verlinkt (VTextAll), sondern direkt im Text-Objekt gehalten (VTextTextLanguages). Wenn du davon nichts verstanden hast, bist du auf der sicheren Seite grin

    Thread Captain

    1383 Posts

  • #8, by ScubidubiTuesday, 25. March 2014, 00:27 7 years ago
    Sehr gut. Die erläuterung in konjunktion mit nicht verstehen hat sofort für freude gesorgt smile

    Forum Fan

    106 Posts

  • #9, by GreenLightDevelopmentThursday, 27. March 2014, 22:19 7 years ago
    Nochmal eine Frage, zu diesem Thema (von 3.x auf 4.x) und schon einem älteren Thema, hier im Forum. Ich habe evtl. einen weiteren "Mitarbeiter" in petto, jedoch arbeitet er nur unter Linux. Ist evtl. mit 4.x auch geplant, nativen Linux-Support zu bringen? Es hat sich ja nun schon einiges geändert, was die "Linux-Welt" betrieft (für mich persönlich immer noch ein Buch mit sieben Siegeln, hehe).

    Forum Fan

    134 Posts

  • #10, by BigStansFriday, 28. March 2014, 13:13 7 years ago
    Wurde nur zurückgestellt, weil der Mac Editor vor geht.
    Ein Linux Player ist geplant. Linux Editor nicht, da es dort eine immense Wartung geben würde, die wir so nicht einfach bewerkstelligen können. Crash analyse, bugfixing, weitere platform.

    Beim Linux player hänge ich etwas an den Packaging fest. Falls hier ein "Pro" rumhängt, kann er mich gerne mal anschreiben. Es geht darum ein package zu bauen.
    Ich suche praktisch nach einer Möglichkeit ein package aus dem Editor zu bauen, so dass die Spieledaten direkt inkludiert werden, da wir es für User einfach halten möchten. Wahrscheinlich eine art deb mit den dependencies und einer "extra dependencie" für gamefiles. Die Schwierigkeit werden dann die Pfade sein.
    Der User, welches das Spiel dabei erstellt sollte nicht extra Linux und Skills benötigen.

    Great Poster

    361 Posts

  • #11, by ChixsawFriday, 28. March 2014, 19:17 7 years ago
    Ich hätte auch mal ne Frage wegen der Angekündigten Version 4.
    Hab mir ja gerade erst die neuste Version gekauft, um mich einfach mal in die Materie einzuarbeiten, ich nen riesen Adventurefan bin und auch nen bisschen Programmieren kann.

    Nun zu meiner Frage: Was wird das Update von 3 auf 4 kosten? Ist das günstiger als wenn man sich die Version 4 direkt kauft oder gar kostenlos? Da des ja bei vielen Produkten unterschiedlich gehandhabt wird.

    Newbie

    1 Posts

Write post